Subject: Re: bug#2657: 23.0.91; still cannot run emacs (fontset)

From: Kenichi Handa <[email-masked]>
Date: Wed, 18 Mar 2009 11:51:13 +0900

In article <[email-masked]>, jpff <[email-masked]> writes:

>>>>>> "Kenichi" == Kenichi Handa <[email-masked]> writes:
 Kenichi> How do you set the default font of Emacs?  By X resource, by
 Kenichi> a code in .emacs, or by -fn argument?

> I have tried not saying anything and then I got the message about
> fontset-16.  I did get a working system by starting an old emacs,
> finding out the default font and then using -fn to select that.

> I have never tinkered with X resource, and the only font stuff in
> .emacs is font-lock

> Seems fixed at present.

That's good.  But as I didn't commit a fix specific to this
problem, I still feal a little bit uneasy about a hidden
bug.

First of all, I wonder why your Emacs complained about
fontset-16 which is not created by default.  I suspect some
of your (or system's) setting creates and use it.

What is shown by M-x list-fontsets RET?
What is shown by ESC : (face-attribute 'default :fontset) RET
What is shown by:
  % xrdb -query|grep -i fontset

---
Kenichi Handa
[email-masked]